#! /bin/sh

LPATH=$(dirname "$0")
cd "$LPATH"

# User-specified options to the JRE.
# The example options mean: run with the server VM in 64-bit mode and a maximum
# heap size of 1 gigabyte.  Use 'M' for megabytes.  See 'java -X' for help.
#
#USER_JOPTS="-server -d64 -Xmx1G"

# If your Perforce server is running in unicode mode, the charset must be UTF-8.
# Otherwise, pick a representative single-byte Java encoding.
#
CHARSET="UTF-8"

# No modifications below this line. --------------------------------------------

JOPTS="-Dfile.encoding=$CHARSET -classpath "*:lib/*" $USER_JOPTS"

java $P4TEST_P4TODB_JOPTS $JOPTS com.perforce.p4todb.main "$@"
